summaryrefslogtreecommitdiffstats
path: root/chrome/tools
diff options
context:
space:
mode:
authoravi@chromium.org <avi@chromium.org@0039d316-1c4b-4281-b951-d872f2087c98>2010-07-16 18:46:52 +0000
committeravi@chromium.org <avi@chromium.org@0039d316-1c4b-4281-b951-d872f2087c98>2010-07-16 18:46:52 +0000
commit47d209421f46bfe6910ac8f87a28f684c3768987 (patch)
tree663ea1787d11294ac0d141dad93a70fdbc5d0008 /chrome/tools
parent9f043377e0fa22c46a45054bfcead621afe27af5 (diff)
downloadchromium_src-47d209421f46bfe6910ac8f87a28f684c3768987.zip
chromium_src-47d209421f46bfe6910ac8f87a28f684c3768987.tar.gz
chromium_src-47d209421f46bfe6910ac8f87a28f684c3768987.tar.bz2
Stuff the MCX policy file into the app bundle where it belongs.
BUG=http://crbug.com/45334 TEST=build chromium, open the package, look in the resources folder, see either "org.chromium.Chromium.manifest" or "com.google.Chrome.manifest" (depending on the build). Open the file, see either "Chromium" or "Google Chrome" at the top (again, depending on the build). Review URL: http://codereview.chromium.org/2809057 git-svn-id: svn://svn.chromium.org/chrome/trunk/src@52710 0039d316-1c4b-4281-b951-d872f2087c98
Diffstat (limited to 'chrome/tools')
-rwxr-xr-xchrome/tools/build/mac/copy_mcx_manifest.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/chrome/tools/build/mac/copy_mcx_manifest.sh b/chrome/tools/build/mac/copy_mcx_manifest.sh
new file mode 100755
index 0000000..fc4cbfc
--- /dev/null
+++ b/chrome/tools/build/mac/copy_mcx_manifest.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+# Copyright (c) 2010 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -e
+
+if [[ ${#} -ne 4 ]]; then
+ echo "usage: ${0} APP_NAME IDENTIFIER SOURCE DESTINATION" >&2
+ exit 1
+fi
+
+APP_NAME="${1}"
+IDENTIFIER=${2}
+SOURCE=${3}
+DESTINATION=${4}
+
+# All hail sed.
+exec sed -e "s/@APP_NAME@/${APP_NAME}/g" \
+ -e "s/@CHROMIUM_BUNDLE_ID@/${IDENTIFIER}/g" \
+ "${SOURCE}" > "${DESTINATION}"